Index: trunk/lib/Text/FormBuilder/Parser.pm
===================================================================
--- trunk/lib/Text/FormBuilder/Parser.pm	(revision 1)
+++ trunk/lib/Text/FormBuilder/Parser.pm	(revision 10)
@@ -6085,5 +6598,5 @@
                                                                                                                       'argcode' => undef,
                                                                                                                       'lookahead' => 0,
-                                                                                                                      'line' => 83
+                                                                                                                      'line' => 95
                                                                                                                     }, 'Parse::RecDescent::Subrule' ),
                                                                                                 'rightarg' => bless( {
@@ -6093,5 +6606,5 @@
                                                                                                                        'argcode' => undef,
                                                                                                                        'lookahead' => 0,
-                                                                                                                       'line' => 83
+                                                                                                                       'line' => 95
                                                                                                                      }, 'Parse::RecDescent::Subrule' ),
                                                                                                 'hashname' => '__DIRECTIVE1__',
@@ -6103,5 +6616,5 @@
                                                                                                                  'lookahead' => 0,
                                                                                                                  'rdelim' => '/',
-                                                                                                                 'line' => 83,
+                                                                                                                 'line' => 95,
                                                                                                                  'mod' => '',
                                                                                                                  'ldelim' => '/'
@@ -6113,5 +6626,5 @@
                                                                                                 'description' => '\'\\}\'',
                                                                                                 'lookahead' => 0,
-                                                                                                'line' => 83
+                                                                                                'line' => 95
                                                                                               }, 'Parse::RecDescent::Literal' )
                                                                                      ],
@@ -6121,11 +6634,11 @@
                                                     'name' => 'options',
                                                     'vars' => '',
-                                                    'line' => 83
+                                                    'line' => 95
                                                   }, 'Parse::RecDescent::Rule' ),
                               'list_def' => bless( {
-                                                     'impcount' => 0,
+                                                     'impcount' => 1,
                                                      'calls' => [
                                                                   'list_name',
-                                                                  'option'
+                                                                  '_alternation_1_of_production_1_of_rule_list_def'
                                                                 ],
                                                      'changed' => 0,
@@ -6134,11 +6647,10 @@
                                                                   bless( {
                                                                            'number' => '0',
-                                                                           'strcount' => 3,
-                                                                           'dircount' => 1,
+                                                                           'strcount' => 1,
+                                                                           'dircount' => 0,
                                                                            'uncommit' => undef,
                                                                            'error' => undef,
-                                                                           'patcount' => 2,
+                                                                           'patcount' => 0,
                                                                            'actcount' => 1,
-                                                                           'op' => [],
                                                                            'items' => [
                                                                                         bless( {
@@ -6158,61 +6670,11 @@
                                                                                                }, 'Parse::RecDescent::Subrule' ),
                                                                                         bless( {
-                                                                                                 'pattern' => '{',
-                                                                                                 'hashname' => '__STRING2__',
-                                                                                                 'description' => '\'\\{\'',
+                                                                                                 'subrule' => '_alternation_1_of_production_1_of_rule_list_def',
+                                                                                                 'matchrule' => 0,
+                                                                                                 'implicit' => 'static_list, or dynamic_list',
+                                                                                                 'argcode' => undef,
                                                                                                  'lookahead' => 0,
                                                                                                  'line' => 14
-                                                                                               }, 'Parse::RecDescent::Literal' ),
-                                                                                        bless( {
-                                                                                                 'expected' => '<leftop: option /,\\\\s*/ option>',
-                                                                                                 'min' => 1,
-                                                                                                 'name' => '\'option(s)\'',
-                                                                                                 'max' => 100000000,
-                                                                                                 'leftarg' => bless( {
-                                                                                                                       'subrule' => 'option',
-                                                                                                                       'matchrule' => 0,
-                                                                                                                       'implicit' => undef,
-                                                                                                                       'argcode' => undef,
-                                                                                                                       'lookahead' => 0,
-                                                                                                                       'line' => 14
-                                                                                                                     }, 'Parse::RecDescent::Subrule' ),
-                                                                                                 'rightarg' => bless( {
-                                                                                                                        'subrule' => 'option',
-                                                                                                                        'matchrule' => 0,
-                                                                                                                        'implicit' => undef,
-                                                                                                                        'argcode' => undef,
-                                                                                                                        'lookahead' => 0,
-                                                                                                                        'line' => 14
-                                                                                                                      }, 'Parse::RecDescent::Subrule' ),
-                                                                                                 'hashname' => '__DIRECTIVE1__',
-                                                                                                 'type' => 'leftop',
-                                                                                                 'op' => bless( {
-                                                                                                                  'pattern' => ',\\s*',
-                                                                                                                  'hashname' => '__PATTERN1__',
-                                                                                                                  'description' => '/,\\\\s*/',
-                                                                                                                  'lookahead' => 0,
-                                                                                                                  'rdelim' => '/',
-                                                                                                                  'line' => 14,
-                                                                                                                  'mod' => '',
-                                                                                                                  'ldelim' => '/'
-                                                                                                                }, 'Parse::RecDescent::Token' )
-                                                                                               }, 'Parse::RecDescent::Operator' ),
-                                                                                        bless( {
-                                                                                                 'pattern' => ',?',
-                                                                                                 'hashname' => '__PATTERN2__',
-                                                                                                 'description' => '/,?/',
-                                                                                                 'lookahead' => 0,
-                                                                                                 'rdelim' => '/',
-                                                                                                 'line' => 14,
-                                                                                                 'mod' => '',
-                                                                                                 'ldelim' => '/'
-                                                                                               }, 'Parse::RecDescent::Token' ),
-                                                                                        bless( {
-                                                                                                 'pattern' => '}',
-                                                                                                 'hashname' => '__STRING3__',
-                                                                                                 'description' => '\'\\}\'',
-                                                                                                 'lookahead' => 0,
-                                                                                                 'line' => 14
-                                                                                               }, 'Parse::RecDescent::Literal' ),
+                                                                                               }, 'Parse::RecDescent::Subrule' ),
                                                                                         bless( {
                                                                                                  'hashname' => '__ACTION1__',
@@ -6251,5 +6713,5 @@
                                                                                                    'description' => '\'[\'',
                                                                                                    'lookahead' => 0,
-                                                                                                   'line' => 65
+                                                                                                   'line' => 77
                                                                                                  }, 'Parse::RecDescent::Literal' ),
                                                                                           bless( {
@@ -6259,5 +6721,5 @@
                                                                                                    'argcode' => undef,
                                                                                                    'lookahead' => 0,
-                                                                                                   'line' => 65
+                                                                                                   'line' => 77
                                                                                                  }, 'Parse::RecDescent::Subrule' ),
                                                                                           bless( {
@@ -6266,5 +6728,5 @@
                                                                                                    'description' => '\']\'',
                                                                                                    'lookahead' => 0,
-                                                                                                   'line' => 65
+                                                                                                   'line' => 77
                                                                                                  }, 'Parse::RecDescent::Literal' )
                                                                                         ],
@@ -6274,5 +6736,5 @@
                                                        'name' => 'field_size',
                                                        'vars' => '',
-                                                       'line' => 65
+                                                       'line' => 77
                                                      }, 'Parse::RecDescent::Rule' ),
                               'author' => bless( {
@@ -6296,5 +6758,5 @@
                                                                                                'description' => '\'!author\'',
                                                                                                'lookahead' => 0,
-                                                                                               'line' => 25
+                                                                                               'line' => 37
                                                                                              }, 'Parse::RecDescent::Literal' ),
                                                                                       bless( {
@@ -6304,5 +6766,5 @@
                                                                                                'lookahead' => 0,
                                                                                                'rdelim' => '/',
-                                                                                               'line' => 25,
+                                                                                               'line' => 37,
                                                                                                'mod' => '',
                                                                                                'ldelim' => '/'
@@ -6311,5 +6773,5 @@
                                                                                                'hashname' => '__ACTION1__',
                                                                                                'lookahead' => 0,
-                                                                                               'line' => 26,
+                                                                                               'line' => 38,
                                                                                                'code' => '{ $author = $item[2] }'
                                                                                              }, 'Parse::RecDescent::Action' )
@@ -6320,5 +6782,5 @@
                                                    'name' => 'author',
                                                    'vars' => '',
-                                                   'line' => 25
+                                                   'line' => 37
                                                  }, 'Parse::RecDescent::Rule' ),
                               'list_name' => bless( {
@@ -6343,5 +6805,5 @@
                                                                                                   'lookahead' => 0,
                                                                                                   'rdelim' => '/',
-                                                                                                  'line' => 17,
+                                                                                                  'line' => 29,
                                                                                                   'mod' => '',
                                                                                                   'ldelim' => '/'
@@ -6353,5 +6815,5 @@
                                                       'name' => 'list_name',
                                                       'vars' => '',
-                                                      'line' => 17
+                                                      'line' => 29
                                                     }, 'Parse::RecDescent::Rule' ),
                               'size' => bless( {
@@ -6376,5 +6838,5 @@
                                                                                              'lookahead' => 0,
                                                                                              'rdelim' => '/',
-                                                                                             'line' => 67,
+                                                                                             'line' => 79,
                                                                                              'mod' => '',
                                                                                              'ldelim' => '/'
@@ -6383,5 +6845,5 @@
                                                                                              'hashname' => '__ACTION1__',
                                                                                              'lookahead' => 0,
-                                                                                             'line' => 68,
+                                                                                             'line' => 80,
                                                                                              'code' => '{ $size = $item[1] }'
                                                                                            }, 'Parse::RecDescent::Action' )
@@ -6392,5 +6854,5 @@
                                                  'name' => 'size',
                                                  'vars' => '',
-                                                 'line' => 67
+                                                 'line' => 79
                                                }, 'Parse::RecDescent::Rule' ),
                               'identifier' => bless( {
@@ -6415,5 +6877,5 @@
                                                                                                    'lookahead' => 0,
                                                                                                    'rdelim' => '/',
-                                                                                                   'line' => 99,
+                                                                                                   'line' => 111,
                                                                                                    'mod' => '',
                                                                                                    'ldelim' => '/'
@@ -6425,5 +6887,5 @@
                                                        'name' => 'identifier',
                                                        'vars' => '',
-                                                       'line' => 99
+                                                       'line' => 111
                                                      }, 'Parse::RecDescent::Rule' ),
                               'blank' => bless( {
@@ -6447,5 +6909,5 @@
                                                   'name' => 'blank',
                                                   'vars' => '',
-                                                  'line' => 97
+                                                  'line' => 109
                                                 }, 'Parse::RecDescent::Rule' ),
                               'option' => bless( {
@@ -6473,5 +6935,5 @@
                                                                                                'argcode' => undef,
                                                                                                'lookahead' => 0,
-                                                                                               'line' => 87
+                                                                                               'line' => 99
                                                                                              }, 'Parse::RecDescent::Subrule' ),
                                                                                       bless( {
@@ -6484,10 +6946,10 @@
                                                                                                'repspec' => '?',
                                                                                                'lookahead' => 0,
-                                                                                               'line' => 87
+                                                                                               'line' => 99
                                                                                              }, 'Parse::RecDescent::Repetition' ),
                                                                                       bless( {
                                                                                                'hashname' => '__ACTION1__',
                                                                                                'lookahead' => 0,
-                                                                                               'line' => 88,
+                                                                                               'line' => 100,
                                                                                                'code' => '{ push @options, { $item{value} => $item{\'display_text(?)\'}[0] } }'
                                                                                              }, 'Parse::RecDescent::Action' )
@@ -6498,5 +6960,5 @@
                                                    'name' => 'option',
                                                    'vars' => '',
-                                                   'line' => 87
+                                                   'line' => 99
                                                  }, 'Parse::RecDescent::Rule' ),
                               'pattern_name' => bless( {
@@ -6521,5 +6983,5 @@
                                                                                                      'lookahead' => 0,
                                                                                                      'rdelim' => '/',
-                                                                                                     'line' => 31,
+                                                                                                     'line' => 43,
                                                                                                      'mod' => '',
                                                                                                      'ldelim' => '/'
@@ -6531,5 +6993,5 @@
                                                          'name' => 'pattern_name',
                                                          'vars' => '',
-                                                         'line' => 31
+                                                         'line' => 43
                                                        }, 'Parse::RecDescent::Rule' ),
                               'validate' => bless( {
@@ -6555,5 +7017,5 @@
                                                                                                  'description' => '\'//\'',
                                                                                                  'lookahead' => 0,
-                                                                                                 'line' => 94
+                                                                                                 'line' => 106
                                                                                                }, 'Parse::RecDescent::Literal' ),
                                                                                         bless( {
@@ -6563,5 +7025,5 @@
                                                                                                  'argcode' => undef,
                                                                                                  'lookahead' => 0,
-                                                                                                 'line' => 94
+                                                                                                 'line' => 106
                                                                                                }, 'Parse::RecDescent::Subrule' )
                                                                                       ],
@@ -6571,5 +7033,5 @@
                                                      'name' => 'validate',
                                                      'vars' => '',
-                                                     'line' => 94
+                                                     'line' => 106
                                                    }, 'Parse::RecDescent::Rule' ),
                               'list_var' => bless( {
@@ -6594,5 +7056,5 @@
                                                                                                  'lookahead' => 0,
                                                                                                  'rdelim' => '/',
-                                                                                                 'line' => 85,
+                                                                                                 'line' => 97,
                                                                                                  'mod' => '',
                                                                                                  'ldelim' => '/'
@@ -6601,5 +7063,5 @@
                                                                                                  'hashname' => '__ACTION1__',
                                                                                                  'lookahead' => 0,
-                                                                                                 'line' => 85,
+                                                                                                 'line' => 97,
                                                                                                  'code' => '{ $list_var = $item[1] }'
                                                                                                }, 'Parse::RecDescent::Action' )
@@ -6610,5 +7072,5 @@
                                                      'name' => 'list_var',
                                                      'vars' => '',
-                                                     'line' => 85
+                                                     'line' => 97
                                                    }, 'Parse::RecDescent::Rule' ),
                               'field' => bless( {
